Bug 16801 - Include Font Awesome Icons to check/unchek all in Administration > Library transfer limits
Summary: Include Font Awesome Icons to check/unchek all in Administration > Library tr...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-22 17:09 UTC by Héctor Eduardo Castro Avalos
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
16801: Include Font Awesome Incons to check/unchek all in Administration > Library transfer limits (2.53 KB, patch)
2016-06-22 17:13 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
16801: Include Font Awesome Incons to check/unchek all in Administration > Library transfer limits (2.66 KB, patch)
2016-06-22 18:23 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16801 - Include Font Awesome Incons to check/unchek all in Administration > Library transfer limits (2.72 KB, patch)
2016-06-24 17:50 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Héctor Eduardo Castro Avalos 2016-06-22 17:09:43 UTC
For purpose to uniformity and leave just one entry in .po files, this patch change: Check all/Uncheck all -> to -> Select all/Clear all. Also added Font Awesome icons.
Comment 1 Héctor Eduardo Castro Avalos 2016-06-22 17:13:57 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-06-22 18:23:01 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-06-24 17:50:34 UTC
Created attachment 52857 [details] [review]
Bug 16801 - Include Font Awesome Incons to check/unchek all in Administration > Library transfer limits

For purpose to uniformity and leave just one entry in .po files,
this patch change: Check all/Uncheck all -> to -> Select all/Clear all.
Also added Font Awesome icons.

To test:
-Go to Administration > Library transfer limits
-Notice about Check all/Uncheck all for "For all items types" and
 "Policy for:"
-Apply patch and refresh the screen
-Notice about the new Select all/Clear all links with their icons
-Confirm that all links work as expected

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-07-08 14:44:06 UTC
Pushed to master for 16.11, thanks Hector!
Comment 5 Frédéric Demians 2016-08-01 13:35:48 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 15:40:45 UTC
Patches pushed to 3.22.x, will be in 3.22.10